<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
<html>
<!-- vap-48 -->
<head>
<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
</head>

<body TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0" >
<table border="0" cellspacing="0" cellpadding="0" style="width: 100%; height: 100%;">
  <tr>
    <td height="117" colspan="2" background="images/logo_bg_link.gif">
        <table width="100%"  border="0" cellspacing="0" cellpadding="0">
            <tr>
              <td height="117" style="background:url(images/logo_bg.gif) left no-repeat; padding-left:15px;">
                <table width="100%"  border="0" cellspacing="0" cellpadding="0">
                    <tr>
            		    <!--LOGO-->
                        <td width="38"><a href="./"><img src="images/{LOGO/@NAME}" border="0"/></a></td>
                        <td valign="top" class="company" style="padding-top:5px;padding-left:3px; "><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
            			<!--END LOGO-->
                    </tr>
                </table>
              </td>
            </tr>
        </table>
    </td>
    <td height="117" align="right" background="images/content_top_middle.gif"><div style="width:320px;"><img src="images/content_top.gif" width="320px" height="117"/></div></td>
    <td width="159" height="117" background="images/header_bg_top.gif">
        <table width="100%"  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td height="117" style="background:url(images/header_1.jpg) right no-repeat; ">
                <table width="100%"  border="0" cellspacing="0" cellpadding="0">
                  <tr>
        		    <!--SLOGAN-->
                    <td height="40" align="right" class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
        			<!--SLOGAN-->
                  </tr>
                </table>
            </td>
          </tr>
        </table>
    </td>
    <td width="61" height="117" background="images/header_bg_top.gif"><div style="width:61px;height:117px; "><img src="images/header_2.jpg" width="61" height="117"/></div></td>
  </tr>
  <tr>
    <td width="66" height="100%" valign="top" background="images/bg.gif"><img src="images/left.gif" width="66" height="179"/></td>
    <td valign="top"  class="submenu-bg" style="background-image:url(images/menu_bottom.gif); background-position:bottom;background-repeat:no-repeat;" >
      <table width="159"  border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td width="19" height="43"><img src="images/menu_left.gif" width="19" height="43"/></td>
          <td width="140" align="left"><img src="images/menu_top_left.gif" width="19" height="43"/></td>
        </tr>
        <tr>
          <td width="19" height="400"></td>
          <td width="140" height="40" valign="top" align="right"  style="padding-left:11px;padding-top:24px; ">
              <table width="100%"  border="0" cellspacing="0" cellpadding="0">
                <!--MENU-->
  		        <xsl:call-template name="TOP-MENU"/>
  		        <!--END MENU-->
              </table>
          </td>
        </tr>
      </table>
    </td>
    <td valign="top" width="100%" background="images/content_bg.gif" style="padding-left:18px;padding-right:18px; ">
      <table  border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td height="28" style="padding-right:4px; " class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
          <td width="11"><img src="images/txtheader_bullet.gif" width="11" height="8"/></td>
        </tr>
      </table>
	  <!--CONTENT-->
      <table width="100%"  border="0" cellspacing="0" cellpadding="0">
	    <tr>
		    <td class="pageContent" name="SB_stretch"><xsl:apply-templates select="PAGE-CONTENT"/></td>
		</tr>
	  </table>
	  <!--END CONTENT-->
    </td>
    <td valign="top" style="background:url(images/submenu_bg.gif)" >
      <table width="159"  border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td width="159" height="59" align="right" background="images/header_bg_bottom.gif"><img src="images/header_3.jpg" width="158" height="59"/></td>
        </tr>
        <tr>
          <td width="159" height="484" valign="top" background="images/submenu_bg.gif" style="padding-top:100px;padding-right:30px;padding-bottom:100px; ">
            <table width="100%"  border="0" cellspacing="0" cellpadding="0">
                <!--SUBMENU-->
  		        <xsl:call-template name="SUB-MENU">
                    <xsl:with-param name="pageID" select="@ID"/>
                </xsl:call-template>
  		        <!--END SUBMENU-->
            </table>
          </td>
        </tr>
      </table>
    </td>
    <td valign="top" background="images/bg.gif"><img src="images/header_4.jpg" width="61" height="179"/></td>
  </tr>
  <tr>
    <td width="224" height="100" colspan="2"  background="images/bg.gif"></td>
    <td height="100">
        <table width="100%"  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td height="17" background="images/content_bg.gif"></td>
          </tr>
          <tr>
            <td height="83" background="images/bg.gif">
                <table width="100%"  border="0" cellspacing="0" cellpadding="0">
                    <tr>
                        <td height="34" align="center">
                            <table  border="0" cellspacing="0" cellpadding="0">
                              <tr>
                    			  <!--BOTTOM MENU-->
                    			  <xsl:call-template name="BOTTOM-MENU"/>
                    				<!--END BOTTOM MENU-->
                              </tr>
                            </table>
                        </td>
                    </tr>
                    <tr>
          		        <!--FOOTER-->
                        <td align="center" class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></td>
          			    <!--END FOOTER-->
                    </tr>
                </table>
            </td>
          </tr>
        </table>
    </td>
    <td height="100" colspan="2"  background="images/bg.gif"></td>
  </tr>
</table>
</body>
</html>
</xsl:template>

<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
		<tr>
            <td width="24px" height="21px" align="center" valign="middle"><img src="images/submenu_bullet.gif" width="8px" height="8px" border="0"/></td>
            <td class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
          </tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
			<tr>
            <td width="24px" height="21px" align="center" valign="middle"><a href="{@HREF}"><img src="images/submenu_bullet.gif" width="8px" height="8px" border="0"/></a></td>
            <td><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
          </tr>
		
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
	<tr>
            <td colspan="2" height="1px"><img src="images/submenu_hr.gif" width="96px" height="1px" border="0"/></td>
          </tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
		<td height="34px" align="center" style="padding-left:10px;padding-right:10px;"><a href="{@HREF}" class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
		
           </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
		   <td height="34px" align="center" class="abmenu" style="padding-left:10px;padding-right:10px;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
		
           </xsl:when>
           <xsl:otherwise>
		  <td height="34px" align="center" style="padding-left:10px;padding-right:10px;"><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
		
          </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
		 <td width="7px" height="34px"><img src="images/bottommenu_bullet.gif" width="7px" height="7px" border="0"/></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>